#!/usr/bin/make -f

export PYBUILD_NAME = cumin
export PYBUILD_TEST_PYTEST = 1
export PYBUILD_TEST_ARGS = {dir}/cumin/tests/unit

include /usr/share/dpkg/pkg-info.mk

# tell the test suite and build_sphinx about our version number
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	python3 setup.py build_sphinx -b man
	sed -i='' -e 's/^\.B/.B /' doc/build/man/cumin.1
	dh_installman
